ICD-10 effective 10/1/2015

EZ-DME continues to monitor the ICD-10 updates from CMS. We have successfully passed end-to-end ICD-10 testing with the DME MACs, MACs and Medicaids. DME Providers, physicians and software vendors will not be required to test or certify with EZ-DME for ICD-10 compliance. The DME MACs are advising suppliers to work with the physicians to obtain updated ICD-10 codes for each claim to ensure that claims are submitted with the diagnosis code noted on the beneficiary’s medical records. For more information on the CMS transition from ICD-9 to ICD-10 please visit: http://www.cms.gov/Medicare/Coding/ICD10. If you have any questions, please contact an EZ-DME Product Specialist at 888-273-0033 opt. 1 or dmesupport@ezdme.com.


© FDS, Inc., All rights reserved.
Internet Explorer Settings

For optimal performance, we recommend using Internet Explorer 7, 8 or 9. Internet Explorer 10 users must enable the Compatibility View settings. Contact EZ-DME Support at dmesupport@ezdme.com or 888-273-0033 opt 1 for assistance. For additional information, visit http://windows.microsoft.com/en-US/internet-explorer/use-compatibility-view#ie=ie-10